Bug 508555 - Software update error
Software update error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-updatesd (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-28 10:53 EDT by César de la Cal
Modified: 2010-06-28 09:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:21:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description César de la Cal 2009-06-28 10:53:10 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
 Always the update software tries to run wether automatically or manually I get the following error:
Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2191, in get_updates
    ygl = self.yumbase.doPackageLists(pkgnarrow='updates')
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 1678, in doPackageLists
    for (n,a,e,v,r) in self.up.getUpdatesList():
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 662, in <lambda>
    up = property(fget=lambda self: self._getUpdates(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 546, in _getUpdates
    self._up = rpmUtils.updates.Updates(self.rpmdb.simplePkgList(), self.pkgSack.simplePkgList())
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 649, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 491, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.6/site-packages/yum/repos.py", line 260, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 170, in populate
    db_fn = repo._retrieveMD(mydbtype)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1481, in _retrieveMD
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 770, in _getFile
    result = self.grab.urlgrab(misc.to_utf8(relative), local,
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 496, in <lambda>
    grab = property(lambda self: self._getgrab())
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 491, in _getgrab
    self._setupGrab()
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 480, in _setupGrab
    self._grab = mgclass(self._grabfunc, self.urls,
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 628, in <lambda>
    urls = property(fget=lambda self: self._geturls(),
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 625, in _geturls
    self._baseurlSetup()
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 579, in _baseurlSetup
    mirrorurls.extend(list(self.metalink_data.urls()))
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 672, in <lambda>
    metalink_data = property(fget=lambda self: self._getMetalink(),
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 668, in _getMetalink
    self._metalink = metalink.MetaLinkRepoMD(self.metalink_filename)
  File "/usr/lib/python2.6/site-packages/yum/metalink.py", line 184, in __init__
    raise MetaLinkRepoErrorParseFail, "File $s does not exist" $filename
MetaLinkRepoErrorParseFail: File /var/cache/yum/updates/metalink.xml does not exist


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2010-04-27 11:19:06 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 09:21:06 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.